

gLevelDescs=[
    {'name':'tutorial_1',
     'diff':'easy',
     'end_mult':1.2,
     'balls':2,
     'ball_dist':"red:50",
     'crates':{2:"red:3",
               3:"red:3",
               4:"red:3"},
     'tubes':[2,3,4],
     },

    {'name':'tutorial_2',
     'diff':'easy',
     'end_mult':1.4,
     'balls':3,
     'ball_dist':"red:30/blue:30/yellow:30",
     'crates':{2:"red:4",
               3:"blue:4",
               4:"yellow:4"},
     'tubes':[2,3,4],
     },

    {'name':'tutorial_3',
     'diff':'easy',
     'end_mult':1.4,
     'balls':4,
     'ball_dist':"red:4/blue:10/yellow:2/white:2",
     'crates':{1:"blue:2/red:2",
               2:"blue:2",
               3:"yellow:2/blue:2",
               4:"blue:2",
               5:"blue:2/red:2"
               },
     'tubes':[1,2,3,4,5],
     },

    {'name':'tutorial_4',
     'diff':'easy',
     'end_mult':1.6,
     'balls':6,
     'ball_dist':"red:10/blue:10/yellow:10/green:10/white:10/black:5",
     'crates':{1:"red:4",
               2:"blue:4",
               4:"green:4",
               5:"yellow:4"},
     'tubes':[1,2,3,4,5],
     },

# ----------------------------------------    
# BLAKE
# ----------------------------------------    

    {'name':'blake_1',
     'diff':'medium',
     'str_speed':40,
     'twist_speed':32,
     'end_mult':1.1,
     'balls':2,
     'ball_dist':"red:20/blue:10/yellow:20/white:10",
     'crates':{1:"red:4",
               3:"blue:2",
               5:"yellow:4"},
     'tubes':[1,2,3,4,5],
     'max_errors':6
     },

    {'name':'blake_2',
     'diff':'medium',
     'str_speed':42,
     'twist_speed':33.6,
     'end_mult':1.3,
     'balls':3,
     'ball_dist':"red:20/blue:30/yellow:20/white:5",
     'crates':{1:"red:4",
               3:"blue:6",
               5:"yellow:4"},
     'tubes':[1,2,3,4,5],
     'max_errors':6
     },

    {'name':'blake_3',
     'diff':'medium',
     'str_speed':45,
     'twist_speed':36,
     'end_mult':1.5,
     'balls':5,
     'ball_dist':"red:60/blue:50/yellow:50/green:40/white:5/black:2",
     'crates':{1:"red:3/blue:3",
               2:"blue:2/green:2",
               4:"green:2/yellow:2",
               5:"yellow:3/red:3"},
     'tubes':[1,2,3,4,5],
     'max_errors':6
     },
    
    {'name':'blake_4',
     'diff':'hard',
     'str_speed':50,
     'twist_speed':40,
     'end_mult':1.7,
     'balls':7,
     'ball_dist':"red:7/blue:10/yellow:7/green:10/white:5",
     'crates':{0:"red:8/blue:16",
               2:"blue:8/green:16",
               4:"green:8/yellow:16",
               6:"yellow:8/red:16"},
     'tubes':[0,1,2,3,4,5,6],
     'max_errors':6
     },

# ----------------------------------------    
# TESS
# ----------------------------------------    


    {'name':'tess_1',
     'diff':'medium',
     'end_mult':1.3,
     'balls':4,
     'ball_dist':"red:10/blue:10/yellow:10/white:10/black:2",
     'crates':{1:"red:2/yellow:2",
               3:"blue:4",
               5:"yellow:2/red:2"},
     'tubes':[1,2,3,4,5],
     'max_time':120.0
     },

    {'name':'tess_2',
     'diff':'medium',
     'str_speed':52,
     'twist_speed':41.6,
     'end_mult':1.5,
     'balls':5,
     'ball_dist':"red:40/blue:40/yellow:40/green:40/white:20/black:2",
     'crates':{1:"red:2/blue:2",
               2:"yellow:4",
               4:"green:4",
               5:"blue:2/red:2"},
     'tubes':[1,2,3,4,5],
     'max_time':120.0
     },

    {'name':'tess_3',
     'end_mult':1.7,
     'str_speed':55,
     'twist_speed':44,
     'diff':'medium',
     'balls':6,
     'ball_dist':"red:40/blue:40/yellow:40/green:40/white:15/black:2",
     'crates':{1:"red:3/blue:2",
               2:"yellow:5",
               4:"green:5",
               5:"blue:3/red:2"},
     'tubes':[1,2,3,4,5],
     'max_time':120.0
     },
    
    {'name':'tess_4',
     'diff':'hard',
     'str_speed':60,
     'twist_speed':48,
     'end_mult':1.9,
     'balls':7,
     'ball_dist':"red:35/blue:35/yellow:30/green:30/white:10/black:2",
     'crates':{1:"red:4/blue:3",
               2:"yellow:4/green:2",
               4:"green:4/yellow:2",
               5:"blue:4/red:3"},
     'tubes':[1,2,3,4,5],
     'max_time':120.0
     },

# ----------------------------------------    
# WOODY
# ----------------------------------------    


    {'name':'woody_1',
     'diff':'medium',
     'str_speed':50,
     'twist_speed':40,
     'end_mult':1.1,
     'balls':3,
     'ball_dist':"red:10/blue:40/yellow:10/green:10/white:10",
     'crates':{1:"blue:2/red:1",
               3:"blue:2/green:1",
               5:"blue:2/yellow:1"},
     'tubes':[1,2,3,4,5],
     'max_errors':6,
     'max_time':120.0
     },

    {'name':'woody_2',
     'diff':'medium',
     'str_speed':52,
     'twist_speed':41.6,
     'end_mult':1.5,
     'balls':4,
     'ball_dist':"red:30/blue:30/yellow:30/green:30/white:10",
     'crates':{0:"red:3",
               2:"blue:3",
               3:"green:3",
               5:"yellow:3"},
     'tubes':[0,1,2,3,4,5],
     'max_errors':6,
     'max_time':120.0
     },

    {'name':'woody_3',
     'diff':'medium',
     'str_speed':55,
     'twist_speed':44,
     'end_mult':2.0,
     'balls':5,
     'ball_dist':"red:40/blue:40/yellow:40/green:40/white:10/black:4",
     'crates':{0:"red:3/blue:1",
               2:"blue:3/green:1",
               3:"green:3/yellow:1",
               5:"yellow:3/red:1"},
     'tubes':[0,1,2,3,4,5],
     'max_errors':6,
     'max_time':120.0
     },
    
    {'name':'woody_4',
     'diff':'hard',
     'str_speed':60,
     'twist_speed':48,
     'end_mult':2.5,
     'balls':5,
     'ball_dist':"red:70/blue:70/yellow:30/green:30/white:5/black:4",
     'crates':{0:"red:4",
               2:"blue:3/green:3",
               3:"red:3/yellow:3",
               5:"blue:4"},
     'tubes':[0,1,2,3,4,5],
     'max_errors':6,
     'max_time':120.0
     },
    
    
    ]

def find_level_by_name(name):
    for lvl in gLevelDescs:
        if lvl['name']==name:
            return lvl
    raise "not found"
